# Record Class JdiDefaultExecutionControl.JdiStarter.TargetDescription

java.lang.Object
java.lang.Record
jdk.jshell.execution.JdiDefaultExecutionControl.JdiStarter.TargetDescription

Record Components:
  `vm` - the JDI's `VirtualMachine`
  `process` - the external `Process`

Enclosing interface:
  `JdiDefaultExecutionControl.JdiStarter`

public static record JdiDefaultExecutionControl.JdiStarter.TargetDescription(VirtualMachine vm, Process process) extends Record
The description of a started external process.

Since:
  22

## Constructor Summary

Constructors
Constructor
Description
`TargetDescription(VirtualMachine vm, Process process)`
Creates an instance of a `TargetDescription` record class.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`Process`
`process()`
Returns the value of the `process` record component.
`final String`
`toString()`
Returns a string representation of this record class.
`VirtualMachine`
`vm()`
Returns the value of the `vm` record component.

### Methods declared in class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TargetDescription

public TargetDescription(VirtualMachine vm, Process process)
Creates an instance of a `TargetDescription` record class.

Parameters:
  `vm` - the value for the `vm` record component
  `process` - the value for the `process` record component

## Method Details

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object
See Also:
  - `Object.toString()`

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object
See Also:
  - `Object.hashCode()`

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.
See Also:
  - `Objects.equals(Object,Object)`

### vm

public VirtualMachine vm()
Returns the value of the `vm` record component.

Returns:
  the value of the `vm` record component

### process

public Process process()
Returns the value of the `process` record component.

Returns:
  the value of the `process` record component